<?php
/**
 * Reset options
 *
 * @package Theme Palace
 * @subpackage EduMag Pro
 * @since EduMag Pro 1.0
 */

/**
* Reset section
*/
// Add reset enable section
$wp_customize->add_section( 'edumag_pro_reset_section', array(
	'title'             => esc_html__( 'Reset all settings', 'edumag-pro' ),
	'description'       => esc_html__( 'Caution: All settings will be reset to default. Refresh the page after clicking Save & Publish.', 'edumag-pro' ),
) );

// Add reset enable setting and control.
$wp_customize->add_setting( 'edumag_pro_theme_options[reset_options]', array(
	'default'           => $options['reset_options'],
	'sanitize_callback' => 'edumag_pro_sanitize_checkbox',
	'transport'			  => 'postMessage'
) );

$wp_customize->add_control( 'edumag_pro_theme_options[reset_options]', array(
	'label'             => esc_html__( 'Check to reset all settings', 'edumag-pro' ),
	'section'           => 'edumag_pro_reset_section',
	'type'              => 'checkbox',
) );