<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage EduMag Pro
 * @since EduMag Pro 1.0
 */

global $post;

	/*
	 * edumag_pro_post_title hook
	 *
	 * @hooked edumag_pro_get_post_title -  10
	 *
	*/
	do_action( 'edumag_pro_post_title' );
?>

 	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> data-wow-delay="0.3s" data-wow-duration="0.5s">
        <div class="image-wrapper">
       
        <?php 
            edumag_pro_get_thumbnail_image(); // get thumbnail images 
        ?>
            <p class="entry-meta">
            	<?php 
            	$year  = get_the_time('Y');
			    $month = get_the_time('m');
			    $day   = get_the_time('d');
			    $post_type = get_query_var( 'post_type' );
            	edumag_pro_posted_on(); 
            	?>
            </p><!-- .entry-meta -->
        </div><!-- .image-wrapper -->
        <?php if ( 'post' == get_post_type() ) : ?>
		<header class="entry-header">
			<?php edumag_pro_entry_category_tags(); ?>
		</header><!-- .entry-header -->
		<?php endif; ?>
		 <?php
		$post_type = get_query_var( 'post_type' );
		switch ( $post_type ) {
			case 'tp-class': ?>
				<div class="tp-education-meta clear two">
					<div class="box-meta">
						<?php  
						if( class_exists( 'TP_Education' ) ) :
							// class age group
							tp_class_age_group();

							// class size
							tp_class_size();
						endif;
						?>
					</div>
					<div class="box-meta">
	                 	<?php
	                 	if( class_exists( 'TP_Education' ) ) :
		                    // class cost
		                    tp_class_cost();    

		                    // class period
		                    tp_class_period();
		                endif;
	                    ?>
                    </div>

				</div><!-- .tp-education-meta -->
			<?php break;

			case 'tp-course': ?>
				<div class="tp-education-meta clear five">
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// course type
							tp_course_type();

							// course duration
							tp_course_duration();
						endif;
						?>
					</div>
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// course price
							tp_course_price();

							// course students
							tp_course_students();
						endif;
						?>
					</div>
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// course language
							tp_course_language();

							// course assessment
							tp_course_assessment();
						endif;
						?>
					</div>
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// course skills
							tp_course_skills();

							// course professor
							tp_course_professor();
						endif;
						?>
					</div>
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// course counselors
							tp_course_counselors();
						endif;
						?>
					</div>
				</div><!-- .tp-education-meta -->
			<?php break;

			case 'tp-event': ?>
				<div class="tp-education-meta clear two">
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// event date
							tp_event_date();

							// event start time
							tp_event_start_time();
						endif;
						?>
					</div>
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// event end time
							tp_event_end_time();

							// event location
							tp_event_location();
						endif;
						?>
					</div>
				</div><!-- .tp-education-meta -->
			<?php break;

			case 'tp-excursion': ?>
				<div class="tp-education-meta clear two">
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// excursion start date
							tp_excursion_start_date();

							// excursion end date
							tp_excursion_end_date();
						endif;
						?>
					</div>
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// event end time
							tp_event_end_time();

							// excursion location
							tp_excursion_location();
						endif;
						?>
					</div>
				</div><!-- .tp-education-meta -->
			<?php break;

			case 'tp-team': ?>
				<div class="tp-education-meta clear three">
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :  
							// team designation
							tp_team_designation();
							 
							// team phone
							tp_team_phone();
						endif;
						?>
					</div>
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// team skype
							tp_team_skype();
							 
							// team website
							tp_team_website();
						endif;
						?>
					</div>
					<div class="box-meta">
						<?php
						if( class_exists( 'TP_Education' ) ) :
							// team courses
							tp_team_courses();
						endif;
						?>
					</div>
				</div><!-- .tp-education-meta -->
			<?php break;
			
			default:
			break;
		}

		?>
		<div class="entry-content">
			<?php 
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'edumag-pro' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'edumag-pro' ),
					'after'  => '</div>',
				) );
			?>
		</div><!-- .entry-content -->
		<footer class="entry-footer">
			<?php edumag_pro_entry_footer(); ?>
		</footer><!-- .entry-footer -->
    </article><!-- #post-1 -->